Docs Ideogram /ideogram/describe
API reference

Image description

Analyze images and generate text descriptions (reverse cue words). The request body is multipart/form-data. Official documentation: https://developer.ideogram.ai/api-reference/api-reference/describe

POST/ideogram/describe

Body Parameters

image_file* string · binary

Image files to be analyzed

Responses

200 application/json
response-200 object
properties
code* integer

Business status code

data* object

Data payload (often Base64 or a structured object)

message* string

Message text

request_id* string

Request trace ID

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"image_file": "<binary>"
3}
Code Sample cURL
1curl -X POST "https://api.digislash.com/ideogram/describe" \
2-H "Authorization: Bearer <API Key>" \
3-F "image_file=@<binary>"
Response
1▼{
2"code": 0,
3▼"data": {
4"created_at": 1733851336696,
5"task_id": "CjMT7WdSwWcAAAAAALvB3g",
6"task_status": "submitted",
7"updated_at": 1733851336696
8},
9"message": "SUCCEED",
10"request_id": "CjMT7WdSwWcAAAAAALvB3g"
11}